#include "ui_slider.h"
#include "ui_cont.h"


lv_obj_t * ui_slider_create(u16 start , u16 end)
{
    // 创建进度条
    lv_obj_t * slider = lv_slider_create(ui_get_cont(), NULL);
    lv_obj_set_size(slider, 5, 240);              // 设置大小,当宽度比高度大时,是水平滑块,当宽度比高度小时,是垂直滑块
    lv_slider_set_range(slider, 0, end);          // 设置进度范围
    lv_slider_set_anim_time(slider, 100);         // 设置动画时长,必须得放在lv_slider_set_value前面调用,否则无效
    lv_slider_set_value(slider, end, LV_ANIM_ON); // 设置当前的进度值,使能动画效果
    lv_obj_set_style_local_bg_color(slider, LV_LABEL_PART_MAIN, LV_STATE_DEFAULT, LV_COLOR_GREEN);
    // lv_obj_align(slider,NULL,LV_ALIGN_IN_TOP_LEFT,145,10);//设置与屏幕居中对齐
    lv_obj_set_pos(slider, 120, 60);

    return slider;
}

ui_slider_set_range_and_value(lv_obj_t * slider , u16 range , u16 value)
{
    lv_slider_set_range(slider , 0 , range);            // 设置进度范围
    lv_slider_set_value(slider , value , LV_ANIM_ON);   // 设置当前的进度值,使能动画效果
}